Skip to main content
GET
/
integrations
/
{integration_id}
/
integration-fields
TypeScript
import { Kombo } from "@kombo-api/sdk";

const kombo = new Kombo({
  api_key: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await kombo.general.getIntegrationFields({
    integration_id: "<id>",
  });

  for await (const page of result) {
    console.log(page);
  }
}

run();
{ "status": "success", "data": { "results": [ { "id": "FFpTK47GhXnU6QAopPq2bdos", "key": "tax_id", "model": "hris_employees", "type": "DEFAULT", "label": "Tax ID", "is_passthrough_enabled": true, "is_writable": false } ], "next_cursor": null, "next": null } }

Documentation Index

Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt

Use this file to discover all available pages before exploring further.

This includes the mapping to your custom fields

Authorizations

Authorization
string
header
required

Create an API key on the Secrets page in the Kombo dashboard.

Path Parameters

integration_id
string
required

GET /integrations/:integration_id/integration-fields Parameter

Query Parameters

cursor
string

An optional cursor string used for pagination. This can be retrieved from the next property of the previous page response.

page_size
integer<int64>
default:100

The number of results to return per page. Maximum is 2000.

Required range: 1 <= x <= 2000

Response

GET /integrations/:integration_id/integration-fields Positive response

status
string
required
Allowed value: "success"
data
object
required
Example:
{
  "results": [
    {
      "id": "FFpTK47GhXnU6QAopPq2bdos",
      "key": "tax_id",
      "model": "hris_employees",
      "type": "DEFAULT",
      "label": "Tax ID",
      "is_passthrough_enabled": true,
      "is_writable": false
    }
  ],
  "next_cursor": null,
  "next": null
}